package HikNetSDK

import "testing"

func TestHIKBallCamera_Login(t *testing.T) {
	Init()
	if DvrInit() != 0 {
		t.Error("Dvr init failed")
	}
	Camera := NewHIKBallCamera(BallCamera{
		Type:     "BuKongQiu",
		Name:     "布控球",
		Ip:       "192.168.211.44",
		Port:     "8000",
		User:     "admin",
		Password: "okwy1234",
		Channel:  1,
	})
	State, ErrorCode, ErrorInfo := Camera.Login()
	if !State {
		t.Error(ErrorCode, ErrorInfo)
		return
	}
}
